apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: gemeente-hulst-app-link-process
  namespace: bk-test
spec:
  interval: 5m
  chart:
    spec:
      chart: /chart/app-link-process
      version: "0.10.0"
      sourceRef:
        kind: GitRepository
        name: app-link-process
        namespace: bk-test
      interval: 1m
  values:
    nameOverride: gemeente-hulst-app-link-process
    config:
      organization: "Gemeente Hulst"
      organizationLogoUrl: "https://via.placeholder.com/556x107.png?text=Gemeente Hulst"
      linkRegisterAPIKeySecretName: "gemeente-hulst-link-register-apikey"
      linkRegisterAddress: "http://gemeente-hulst-link-register"
      sessionRegisterAPIKeySecretName: "gemeente-hulst-session-register-apikey"
      sessionRegisterAddress: "http://gemeente-hulst-session-register"
      outwayAddress: "http://gemeente-hulst-nlx-outway"
      organizationOIN: "01634811415971054765"
    ingress:
      enabled: true
      hosts:
        - app-link-process-gemeente-hulst.demo.blauweknop.app
      tls:
        - secretName: wildcard-cert-demo-blauweknop-app
          hosts:
            - app-link-process-gemeente-hulst.demo.blauweknop.app
